For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Contact List

Update existing Contact List

patch
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Path parameters
list_idinteger · int64 · min: 1Required

Unique list ID

Example: 3229
Body
namestring · max: 255Optional
Responses
200

OK.

application/json
idintegerOptional
namestring · max: 255Optional
patch/api/contacts/lists/{list_id}
curl -X PATCH https://mailtrap.io/api/contacts/lists/{list_id} \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name": "Former Customers"}'
{
  "id": 26730,
  "name": "Former Customers"
}

Last updated

Was this helpful?